<?xml version="1.0" encoding="UTF-8"?>
<!--
- Licensed Materials - Property of IBM* and/or HCL**
- UrbanCode Deploy
- UrbanCode Build
- UrbanCode Release
- AnthillPro
- (c) Copyright IBM Corporation 2011, 2017. All Rights Reserved.
- (c) Copyright HCL Technologies Ltd. 2018. All Rights Reserved.
-
- U.S. Government Users Restricted Rights - Use, duplication or disclosure restricted by
- GSA ADP Schedule Contract with IBM Corp.
-
- * Trademark of International Business Machines
- ** Trademark of HCL Technologies Limited
-->
<plugin-upgrade
        xmlns="http://www.urbancode.com/UpgradeXMLSchema_v1"
        xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <migrate to-version="4">
    <migrate-command name="Create Environment"/>
    <migrate-command name="Create Component Mapping"/>
    <migrate-command name="Create Environment Property"/>
    <migrate-command name="Set Component Environment Property"/>
  </migrate>
  <migrate to-version="5">
    <migrate-command name="Create Environment"/>
    <migrate-command name="Create Component Mapping"/>
    <migrate-command name="Create Environment Property"/>
    <migrate-command name="Set Component Environment Property"/>
  </migrate>
  <migrate to-version="7">
    <migrate-command name="Create Environment"/>
    <migrate-command name="Create Component Mapping"/>
    <migrate-command name="Create Environment Property"/>
    <migrate-command name="Set Component Environment Property"/>
    <migrate-command name="Get Environment Properties"/>
    <migrate-command name="Get Component Environment Properties"/>
    <migrate-command name="Inactivate Environment"/>
  </migrate>
  <migrate to-version="8">
    <migrate-command name="Create Environment"/>
    <migrate-command name="Create Component Mapping"/>
    <migrate-command name="Create Environment Property"/>
    <migrate-command name="Set Component Environment Property"/>
    <migrate-command name="Get Environment Properties"/>
    <migrate-command name="Get Component Environment Properties"/>
    <migrate-command name="Check If Environment Exists"/>
    <migrate-command name="Add User To Role For Environment"/>
    <migrate-command name="Add Group To Role For Environment"/>
  </migrate>
  <migrate to-version="9">
    <migrate-command name="Create Environment"/>
    <migrate-command name="Create Component Mapping"/>
    <migrate-command name="Create Environment Property"/>
    <migrate-command name="Set Component Environment Property"/>
    <migrate-command name="Get Environment Properties"/>
    <migrate-command name="Get Component Environment Properties"/>
    <migrate-command name="Check If Environment Exists"/>
    <migrate-command name="Add User To Role For Environment"/>
    <migrate-command name="Add Group To Role For Environment"/>
    <migrate-command name="Verify Inventory Status"/>
  </migrate>
    <migrate to-version="10">
    <migrate-command name="Create Environment">
       <migrate-properties>
         <migrate-property name="mappings" default="" />
       </migrate-properties>
    </migrate-command>
    <migrate-command name="Delete Environment"/>
    <migrate-command name="Create Component Mapping"/>
    <migrate-command name="Create Environment Property"/>
    <migrate-command name="Set Component Environment Property"/>
    <migrate-command name="Get Environment Properties"/>
    <migrate-command name="Get Component Environment Properties"/>
    <migrate-command name="Check If Environment Exists"/>
    <migrate-command name="Add User To Role For Environment"/>
    <migrate-command name="Add Group To Role For Environment"/>
    <migrate-command name="Verify Inventory Status"/>
    <migrate-command name="Inactivate Environment"/>
  </migrate>
  <migrate to-version="11">
    <migrate-command name="Create Environment">
       <migrate-properties>
         <migrate-property name="properties" default="" />
       </migrate-properties>
    </migrate-command>
    <migrate-command name="Delete Environment"/>
    <migrate-command name="Create Component Mapping"/>
    <migrate-command name="Create Environment Property"/>
    <migrate-command name="Set Component Environment Property"/>
    <migrate-command name="Get Environment Properties"/>
    <migrate-command name="Get Component Environment Properties"/>
    <migrate-command name="Check If Environment Exists"/>
    <migrate-command name="Add User To Role For Environment"/>
    <migrate-command name="Add Group To Role For Environment"/>
    <migrate-command name="Verify Inventory Status"/>
    <migrate-command name="Inactivate Environment"/>
  </migrate>
  <migrate to-version="11">
    <migrate-command name="Create Environment"/>
    <migrate-command name="Delete Environment"/>
    <migrate-command name="Create Component Mapping"/>
    <migrate-command name="Create Environment Property"/>
    <migrate-command name="Set Component Environment Property"/>
    <migrate-command name="Get Environment Properties"/>
    <migrate-command name="Get Component Environment Properties"/>
    <migrate-command name="Check If Environment Exists"/>
    <migrate-command name="Add User To Role For Environment"/>
    <migrate-command name="Add Group To Role For Environment"/>
    <migrate-command name="Verify Inventory Status"/>
    <migrate-command name="Inactivate Environment"/>
  </migrate>
  <migrate to-version="61">
    <migrate-command name="Create Environment"/>
    <migrate-command name="Delete Environment"/>
    <migrate-command name="Create Component Mapping"/>
    <migrate-command name="Create Environment Property"/>
    <migrate-command name="Set Component Environment Property"/>
    <migrate-command name="Get Environment Properties"/>
    <migrate-command name="Get Component Environment Properties"/>
    <migrate-command name="Check If Environment Exists"/>
    <migrate-command name="Verify Inventory Status"/>
    <migrate-command name="Inactivate Environment"/>
  </migrate>
  <migrate to-version="62">
    <migrate-command name="Create Environment"/>
    <migrate-command name="Delete Environment"/>
    <migrate-command name="Create Component Mapping"/>
    <migrate-command name="Create Environment Property"/>
    <migrate-command name="Set Component Environment Property"/>
    <migrate-command name="Get Environment Properties"/>
    <migrate-command name="Get Component Environment Properties"/>
    <migrate-command name="Check If Environment Exists"/>
    <migrate-command name="Verify Inventory Status"/>
    <migrate-command name="Inactivate Environment"/>
  </migrate>
  <migrate to-version="63">
    <migrate-command name="Create Environment"/>
    <migrate-command name="Delete Environment"/>
    <migrate-command name="Create Component Mapping"/>
    <migrate-command name="Create Environment Property"/>
    <migrate-command name="Set Component Environment Property"/>
    <migrate-command name="Get Environment Properties"/>
    <migrate-command name="Get Component Environment Properties"/>
    <migrate-command name="Check If Environment Exists"/>
    <migrate-command name="Verify Inventory Status"/>
    <migrate-command name="Inactivate Environment"/>
  </migrate>
  <migrate to-version="64">
    <migrate-command name="Create Environment"/>
    <migrate-command name="Delete Environment"/>
    <migrate-command name="Create Component Mapping"/>
    <migrate-command name="Create Environment Property"/>
    <migrate-command name="Set Component Environment Property"/>
    <migrate-command name="Get Environment Properties"/>
    <migrate-command name="Get Component Environment Properties"/>
    <migrate-command name="Check If Environment Exists"/>
    <migrate-command name="Verify Inventory Status"/>
  </migrate>
  <migrate to-version="65">
    <migrate-command name="Create Environment"/>
    <migrate-command name="Delete Environment"/>
    <migrate-command name="Create Environment Property"/>
    <migrate-command name="Set Component Environment Property"/>
    <migrate-command name="Get Environment Properties"/>
    <migrate-command name="Get Component Environment Properties"/>
    <migrate-command name="Check If Environment Exists"/>
    <migrate-command name="Verify Inventory Status"/>
  </migrate>
  <migrate to-version="66">
    <migrate-command name="Create Environment"/>
    <migrate-command name="Create Environment Property"/>
    <migrate-command name="Get Environment Properties"/>
    <migrate-command name="Get Component Environment Properties"/>
    <migrate-command name="Set Component Environment Property"/>
    <migrate-command name="Verify Inventory Status"/>
    <migrate-command name="Check If Environment Exists"/>
    <migrate-command name="Add Environment To Team"/>
    <migrate-command name="Add Base Resource To Environment"/>
    <migrate-command name="Get Latest Version By Environment and Component"/>
  </migrate>
  <migrate to-version="67">
    <migrate-command name="Create Environment"/>
    <migrate-command name="Create Environment Property"/>
    <migrate-command name="Get Environment Details"/>
    <migrate-command name="Get Environment Properties"/>
    <migrate-command name="Get Component Environment Properties"/>
    <migrate-command name="Set Component Environment Property"/>
    <migrate-command name="Verify Inventory Status"/>
    <migrate-command name="Check If Environment Exists"/>
    <migrate-command name="Add Environment To Team"/>
    <migrate-command name="Add Base Resource To Environment"/>
    <migrate-command name="Get Latest Version By Environment and Component"/>
  </migrate>
  <migrate to-version="68">
    <migrate-command name="Create Environment">
       <migrate-properties>
         <migrate-property name="envProfile" default="" />
       </migrate-properties>
    </migrate-command>
    <migrate-command name="Create Environment Property"/>
    <migrate-command name="Get Environment Details"/>
    <migrate-command name="Get Environment Properties"/>
    <migrate-command name="Get Component Environment Properties"/>
    <migrate-command name="Set Component Environment Property"/>
    <migrate-command name="Verify Inventory Status"/>
    <migrate-command name="Check If Environment Exists"/>
    <migrate-command name="Add Environment To Team"/>
    <migrate-command name="Add Base Resource To Environment"/>
    <migrate-command name="Get Latest Version By Environment and Component"/>
  </migrate>
  <migrate to-version="69">
    <migrate-command name="Create Environment">
       <migrate-properties>
         <migrate-property name="nodeProperties" default="" />
       </migrate-properties>
    </migrate-command>
    <migrate-command name="Create Environment Property"/>
    <migrate-command name="Get Environment Details"/>
    <migrate-command name="Get Environment Properties"/>
    <migrate-command name="Get Component Environment Properties"/>
    <migrate-command name="Set Component Environment Property"/>
    <migrate-command name="Verify Inventory Status"/>
    <migrate-command name="Check If Environment Exists"/>
    <migrate-command name="Add Environment To Team"/>
    <migrate-command name="Add Base Resource To Environment"/>
    <migrate-command name="Get Latest Version By Environment and Component"/>
  </migrate>
  <migrate to-version="71">
    <migrate-command name="Create Environment"/>
    <migrate-command name="Create Environment Property"/>
    <migrate-command name="Get Environment Details"/>
    <migrate-command name="Get Environment Properties"/>
    <migrate-command name="Get Component Environment Properties"/>
    <migrate-command name="Set Component Environment Property"/>
    <migrate-command name="Verify Inventory Status"/>
    <migrate-command name="Check If Environment Exists"/>
    <migrate-command name="Add Environment To Team"/>
    <migrate-command name="Add Base Resource To Environment"/>
    <migrate-command name="Get Latest Version By Environment and Component"/>
  </migrate>
  <migrate to-version="72">
    <migrate-command name="Create Environment"/>
    <migrate-command name="Create Environment Property"/>
    <migrate-command name="Get Environment Details"/>
    <migrate-command name="Get Environment Properties"/>
    <migrate-command name="Get Component Environment Properties"/>
    <migrate-command name="Set Component Environment Property"/>
    <migrate-command name="Verify Inventory Status"/>
    <migrate-command name="Check If Environment Exists"/>
    <migrate-command name="Add Environment To Team"/>
    <migrate-command name="Add Base Resource To Environment"/>
    <migrate-command name="Get Latest Version By Environment and Component"/>
  </migrate>
  <migrate to-version="73">
  </migrate>
  <migrate to-version="74">
    <migrate-command name="Create Environment from Template"/>
  </migrate>
  <migrate to-version="75">
    <migrate-command name="Add Environment To Team">
      <migrate-properties>
        <migrate-property name="environment"/>
      </migrate-properties>
    </migrate-command>
  </migrate>
  <migrate to-version="76">
    <migrate-command name="Create Multiple Environments"/>
  </migrate>
  <migrate to-version="78">
  </migrate>
  <migrate to-version="79">
    <migrate-command name="Set Component Environment Property"/>
  </migrate>
  <migrate to-version="80">
  </migrate>
  <migrate to-version="81">
    <migrate-command name="Create Environment Property">
      <migrate-properties>
        <migrate-property name="secureValue" default=""/>
      </migrate-properties>
    </migrate-command>
  </migrate>
  <migrate to-version="82">
  </migrate>
  <migrate to-version="83">
  </migrate>
  <migrate to-version="84"/>
  <migrate to-version="85"/>
</plugin-upgrade>
